Bug 117118 - less seg faults on some inputs
less seg faults on some inputs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-28 18:14 EST by Yaron Minsky
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 06:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File that "less -r" barfs on (1.95 KB, application/octet-stream)
2004-02-28 18:15 EST, Yaron Minsky
no flags Details

  None (edit)
Description Yaron Minsky 2004-02-28 18:14:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Less segfaults on some inputs.  In particular, there's a file I have
that came from my palm that causes less (and interesting, gpilotd) to
segfault.  This only occurs with "less -r" with the file in question,
which I will attach to this bug.

Version-Release number of selected component (if applicable):
less-378-11.1

How reproducible:
Always

Steps to Reproduce:
1. type "less -r lessbug"
2. Await segfault.
    

Additional info:
Comment 1 Yaron Minsky 2004-02-28 18:15:28 EST
Created attachment 98127 [details]
File that "less -r" barfs on
Comment 2 Karsten Hopp 2004-03-02 06:13:12 EST
less-382 from Fedora Core 2 Test 1 doesn't segfault with your test 
file. 
I've build a new package for Fedora Core 1, please test it when it 
shows up in 
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/1/ 
and report any problems. 
Note: This new version removes support for non-UTF8 japanese/korean 
charsets. 

Note You need to log in before you can comment on or make changes to this bug.